Content - Get Content List
List all contents of the title and get statistics such as size
POST https://titleId.playfabapi.com/Admin/GetContentList
Request Header
| Name | Required | Type | Description |
|---|---|---|---|
| X-SecretKey | True |
string |
This API requires a title secret key, available to title admins, from PlayFab Game Manager. |
Request Body
| Name | Type | Description |
|---|---|---|
| Prefix |
string |
Limits the response to keys that begin with the specified prefix. You can use prefixes to list contents under a folder, or for a specified version, etc. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK | ||
| 400 Bad Request |
This is the outer wrapper for all responses with errors |
Security
X-SecretKey
This API requires a title secret key, available to title admins, from PlayFab Game Manager.
Type:
apiKey
In:
header
Definitions
| Name | Description |
|---|---|
|
Api |
The basic wrapper around every failed API response |
|
Content |
|
|
Get |
|
|
Get |
ApiErrorWrapper
The basic wrapper around every failed API response
| Name | Type | Description |
|---|---|---|
| code |
integer |
Numerical HTTP code |
| error |
string |
Playfab error code |
| errorCode |
integer |
Numerical PlayFab error code |
| errorDetails |
object |
Detailed description of individual issues with the request object |
| errorMessage |
string |
Description for the PlayFab errorCode |
| status |
string |
String HTTP code |
ContentInfo
| Name | Type | Description |
|---|---|---|
| Key |
string |
Key of the content |
| LastModified |
string |
Last modified time |
| Size |
number |
Size of the content in bytes |
GetContentListRequest
| Name | Type | Description |
|---|---|---|
| Prefix |
string |
Limits the response to keys that begin with the specified prefix. You can use prefixes to list contents under a folder, or for a specified version, etc. |
GetContentListResult
| Name | Type | Description |
|---|---|---|
| Contents |
List of content items. |
|
| ItemCount |
number |
Number of content items returned. We currently have a maximum of 1000 items limit. |
| TotalSize |
number |
The total size of listed contents in bytes. |
Error Codes
| Name | Code |
|---|---|
| ContentS3OriginBucketNotConfigured | 1299 |